% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions_wrapper.R
\name{fix_parameters_to}
\alias{fix_parameters_to}
\title{fix_parameters_to}
\usage{
fix_parameters_to(model, parameter_names, values)
}
\arguments{
\item{model}{(Model) Pharmpy model}

\item{parameter_names}{(vector or str) one parameter name or a vector of parameter names}

\item{values}{(vector or numeric) one value or a vector of values (must be equal to number of parameter_names)}
}
\value{
(Model) Reference to the same model object
}
\description{
Fix parameters to

Fix all listed parameters to specified value/values
}
\examples{
\dontrun{
model <- load_example_model("pheno")
model$parameters['THETA(1)']
fix_parameters_to(model, 'THETA(1)', 0.5)
model$parameters['THETA(1)']
}
}
\seealso{
fix_parameters : Fix parameters

unfix_paramaters : Unfixing parameters

unfix_paramaters_to : Unfixing parameters and setting a new initial estimate in the same

function
}
